From repocop Tue Jan 15 05:48:09 MSK 2019
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop fix for udev-files-in-etc

(message skipped)
--- a/systemd.spec	2019-01-15 05:48:09.631004148 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.645003978 +0300
@@ -689,8 +689,8 @@
 mkdir -p %buildroot%firmwaredir/updates
 mkdir -p %buildroot/lib/mkinitrd/udev/%firmwaredir/updates
 # Create ghost files
-touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-net.rules
-touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-cd.rules
+touch %buildroot%_udevrulesdir/70-persistent-net.rules
+touch %buildroot%_udevrulesdir/70-persistent-cd.rules
 touch %buildroot%_sysconfdir/udev/hwdb.bin
 
 # udev rule generator
@@ -699,14 +699,14 @@
 install -p -m644 %SOURCE43 %buildroot/lib/udev/rules.d/
 install -p -m755 %SOURCE44 %buildroot/lib/udev/
 install -p -m644 %SOURCE45 %buildroot/lib/udev/rules.d/
-ln -s /dev/null %buildroot%_sysconfdir/udev/rules.d/80-net-name-slot.rules
+ln -s /dev/null %buildroot%_udevrulesdir/80-net-name-slot.rules
 
 # Add completion for bash3
 install -m644 %SOURCE46 %buildroot%_sysconfdir/bash_completion.d/udev
 
 echo ".so man8/systemd-udevd.8" > %buildroot%_man8dir/udevd.8
 
-install -p -m644 %SOURCE31 %buildroot%_sysconfdir/udev/rules.d/
+install -p -m644 %SOURCE31 %buildroot%_udevrulesdir/
 
 install -m644 %SOURCE29 %buildroot/lib/tmpfiles.d/systemd-startup-nologin.conf
 # rpm posttrans filetriggers
@@ -1038,15 +1038,15 @@
 /lib/udev/rules.d/95-keymap.rules
 
 %files -n udev-rules
-%dir %_sysconfdir/udev/rules.d
-%config(noreplace) %_sysconfdir/udev/rules.d/*
+%dir %_udevrulesdir
+%config(noreplace) %_udevrulesdir/*
 /lib/udev/initramfs-rules.d
 /lib/udev/rules.d
 # rule-generator
 /lib/udev/rule_generator.functions
 
-%exclude %_sysconfdir/udev/rules.d/70-persistent-*.rules
-%exclude %_sysconfdir/udev/rules.d/80-net-name-slot.rules
+%exclude %_udevrulesdir/70-persistent-*.rules
+%exclude %_udevrulesdir/80-net-name-slot.rules
 %exclude /lib/udev/rules.d/75-*-generator.rules
 # extras
 %exclude /lib/udev/rules.d/61-accelerometer.rules

From repocop Tue Jan 15 05:48:09 MSK 2019
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop fix for udev-files-in-etc

(message skipped)
--- a/systemd.spec	2019-01-15 05:48:09.645003978 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.674003626 +0300
@@ -711,6 +711,9 @@
 install -m644 %SOURCE29 %buildroot/lib/tmpfiles.d/systemd-startup-nologin.conf
 # rpm posttrans filetriggers
 install -pD -m755 %SOURCE28 %buildroot%_rpmlibdir/systemd-tmpfiles.filetrigger
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %pre
 %_sbindir/groupadd -r -f systemd-journal ||:
@@ -1069,8 +1072,8 @@
 /lib/udev/write_cd_rules
 
 %files -n udev-rule-generator-net
-%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-net.rules
-%_sysconfdir/udev/rules.d/80-net-name-slot.rules
+%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_udevrulesdir/70-persistent-net.rules
+%_udevrulesdir/80-net-name-slot.rules
 /lib/udev/rules.d/75-persistent-net-generator.rules
 /lib/udev/write_net_rules
 

From repocop Tue Jan 15 05:48:09 MSK 2019
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop fix for udev-files-in-etc

(message skipped)
--- a/systemd.spec	2019-01-15 05:48:09.674003626 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.703003274 +0300
@@ -713,7 +713,7 @@
 install -pD -m755 %SOURCE28 %buildroot%_rpmlibdir/systemd-tmpfiles.filetrigger
 # sysconf/udev policy - /etc is for user
 mkdir -p %buildroot%_udevrulesdir/
-mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
+mv %buildroot%_udevrulesdir/* %buildroot%_udevrulesdir/
 
 %pre
 %_sbindir/groupadd -r -f systemd-journal ||:
@@ -1067,7 +1067,7 @@
 /lib/udev/hwdb.d
 
 %files -n udev-rule-generator-cdrom
-%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-cd.rules
+%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_udevrulesdir/70-persistent-cd.rules
 /lib/udev/rules.d/75-cd-aliases-generator.rules
 /lib/udev/write_cd_rules
 

From repocop Tue Jan 15 05:48:09 MSK 2019
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop fix for postclean-03-private-rpm-macros

(message skipped)
--- a/systemd.spec	2019-01-15 05:48:09.703003274 +0300
+++ b/systemd.spec	2019-01-15 05:48:09.755002644 +0300
@@ -560,7 +560,7 @@
 ln -s /dev/null %buildroot%_unitdir/netfs.service
 
 # Use mingetty as default
-#%__subst 's,/sbin/agetty,/sbin/mingetty,'  %buildroot%_unitdir/getty@.service
+#sed -i 's,/sbin/agetty,/sbin/mingetty,'  %buildroot%_unitdir/getty@.service
 
 # We create all wants links manually at installation time to make sure
 # they are not owned and hence overriden by rpm after the used deleted
